POST /api/observability/slos/{id}/disable

Spaces method and path for this operation:

post /s/{space_id}/api/observability/slos/{id}/disable

Refer to Spaces for more information.

You must have the write privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: slo_write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The identifier of the SLO.

    Minimum length is 8, maximum length is 48. Format should match the following pattern: ^[a-z0-9-_]+$.

application/json

Body

object | null object | null

Additional properties are NOT allowed.

Responses

  • 204

    Successful request

  • 400 application/json

    Bad request

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
  • 401 application/json

    Unauthorized response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
  • 403 application/json

    Forbidden response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
  • 404 application/json

    Not found response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
POST /api/observability/slos/{id}/disable
curl \
 --request POST 'https://<KIBANA_URL>/api/observability/slos/{id}/disable' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true"
Response examples (400)
{
  "error": "Bad Request",
  "message": "Invalid value 'foo' supplied to: id",
  "statusCode": 400
}
Response examples (401)
{
  "error": "Unauthorized",
  "message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
  "statusCode": 401
}
Response examples (403)
{
  "error": "Forbidden",
  "message": "security_exception: action [slo_write] is unauthorized for user",
  "statusCode": 403
}
Response examples (404)
{
  "error": "Not Found",
  "message": "SLO [3749f390-03a3-11ee-8139-c7ff60a1692d] not found",
  "statusCode": 404
}